<?php
return [
    'extends' => 'fid',
    // TODO: 'favicon' => 'favicon.ico',
    'css' => [],
    'js' => [
        '../js/vendor/slim-select/dist/slimselect.min.js',
        'theme.js',
    ],
    'mixins' => [
        'worldcat',
        'finc-dbis',
        'boss'
    ],
    'helpers' => array(
        'aliases' => [
            'flashmessages' => 'fid_bbi\View\Helper\Root\Flashmessages',
            'icon' => 'fid_bbi\View\Helper\Root\Icon',
            'record' => 'fid_bbi\View\Helper\Root\Record',
        ],
        'factories' => [
            'fid_bbi\View\Helper\Root\Flashmessages' =>
                'VuFind\View\Helper\Root\FlashmessagesFactory',
            'fid_bbi\View\Helper\Root\Icon' =>
                'fid_bbi\View\Helper\Root\Icon',
            'fid_bbi\View\Helper\Root\Record' =>
                'fid_bbi\View\Helper\Root\Factory::getRecord',
            'VuFind\View\Helper\Root\RecordDataFormatter' =>
                'fid_bbi\View\Helper\Root\RecordDataFormatterFactory',
            'VuFind\View\Helper\Root\SearchMemory' =>
                'fid_bbi\View\Helper\Root\Factory::getSearchMemory'
        ],
    ),
];
